[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#183155: marked as done (libc-udeb: libpthread is needed for the gtk-frontend)



Your message dated Mon, 17 Mar 2003 06:48:30 -0500
with message-id <E18ut6U-0008D1-00@auric.debian.org>
and subject line Bug#183155: fixed in glibc 2.3.1-15
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--------------------------------------
Received: (at submit) by bugs.debian.org; 2 Mar 2003 21:41:20 +0000
>From sebastian.ley@mmweg.rwth-aachen.de Sun Mar 02 15:41:20 2003
Return-path: <sebastian.ley@mmweg.rwth-aachen.de>
Received: from mx.mmweg.rwth-aachen.de [134.130.118.4] 
	by master.debian.org with smtp (Exim 3.12 1 (Debian))
	id 18pbCx-0004Kk-00; Sun, 02 Mar 2003 15:41:19 -0600
Received: (qmail 5015 invoked by alias); 2 Mar 2003 21:41:08 -0000
Received: (qmail 5003 invoked from network); 2 Mar 2003 21:41:07 -0000
Received: from coyote.mmweg (HELO coyote) (sebastian@134.130.118.117)
  by hub.mmweg with SMTP; 2 Mar 2003 21:41:07 -0000
Received: by coyote (sSMTP sendmail emulation); Sun,  2 Mar 2003 22:41:18 +0100
Date: 2 Mar 2003 22:41:18 +0100
Message-ID: <20030302224118.5012.qmail@mx.mmweg.rwth-aachen.de>
From: "Sebastian Ley" <sebastian.ley@mmweg.rwth-aachen.de>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Subject: libc-udeb: libpthread is needed for the gtk-frontend
X-Mailer: reportbug 2.10
Delivered-To: submit@bugs.debian.org
X-Spam-Status: No, hits=-0.2 required=4.0
	tests=HAS_PACKAGE,SPAM_PHRASE_00_01
	version=2.44
X-Spam-Level: 

Package: libc-udeb
Version: unavailable; reported 2003-03-02
Severity: normal

GTK and libdirectfb link against libpthread, so we need libpthread in the libc udeb.


---------------------------------------
Received: (at 183155-close) by bugs.debian.org; 17 Mar 2003 11:53:29 +0000
>From katie@auric.debian.org Mon Mar 17 05:53:27 2003
Return-path: <katie@auric.debian.org>
Received: from auric.debian.org [206.246.226.45] (mail)
	by master.debian.org with esmtp (Exim 3.12 1 (Debian))
	id 18utBH-0000ZB-00; Mon, 17 Mar 2003 05:53:27 -0600
Received: from katie by auric.debian.org with local (Exim 3.35 1 (Debian))
	id 18ut6U-0008D1-00; Mon, 17 Mar 2003 06:48:30 -0500
From: GOTO Masanori <gotom@debian.or.jp>
To: 183155-close@bugs.debian.org
X-Katie: $Revision: 1.33 $
Subject: Bug#183155: fixed in glibc 2.3.1-15
Message-Id: <E18ut6U-0008D1-00@auric.debian.org>
Sender: Archive Administrator <katie@auric.debian.org>
Date: Mon, 17 Mar 2003 06:48:30 -0500
Delivered-To: 183155-close@bugs.debian.org

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.3.1-15_all.deb
  to pool/main/g/glibc/glibc-doc_2.3.1-15_all.deb
glibc_2.3.1-15.diff.gz
  to pool/main/g/glibc/glibc_2.3.1-15.diff.gz
glibc_2.3.1-15.dsc
  to pool/main/g/glibc/glibc_2.3.1-15.dsc
libc-udeb_2.3.1-15_i386.udeb
  to pool/main/g/glibc/libc-udeb_2.3.1-15_i386.udeb
libc6-dbg_2.3.1-15_i386.deb
  to pool/main/g/glibc/libc6-dbg_2.3.1-15_i386.deb
libc6-dev_2.3.1-15_i386.deb
  to pool/main/g/glibc/libc6-dev_2.3.1-15_i386.deb
libc6-pic_2.3.1-15_i386.deb
  to pool/main/g/glibc/libc6-pic_2.3.1-15_i386.deb
libc6-prof_2.3.1-15_i386.deb
  to pool/main/g/glibc/libc6-prof_2.3.1-15_i386.deb
libc6_2.3.1-15_i386.deb
  to pool/main/g/glibc/libc6_2.3.1-15_i386.deb
locales_2.3.1-15_all.deb
  to pool/main/g/glibc/locales_2.3.1-15_all.deb
nscd_2.3.1-15_i386.deb
  to pool/main/g/glibc/nscd_2.3.1-15_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 183155@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
GOTO Masanori <gotom@debian.or.jp> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 26 Feb 2003 18:44:08 +0900
Source: glibc
Binary: libc6.1-prof libc1 libc0.3-pic locales glibc-doc libc6-pic libc-udeb libc1-prof libc0.3 libc0.3-dbg libc6.1-dev libc1-pic libc6-s390x libc6-prof libc1-dbg libc6-dev-sparc64 libc6 libc0.3-dev libc6-dbg nscd libc6.1-dbg libc6.1-pic libc6-sparc64 libc6-dev libc0.3-prof libc6.1 libc6-dev-s390x libc1-dev
Architecture: source i386 all
Version: 2.3.1-15
Distribution: unstable
Urgency: low
Maintainer: GOTO Masanori <gotom@debian.or.jp>
Changed-By: GOTO Masanori <gotom@debian.or.jp>
Description: 
 glibc-doc  - GNU C Library: Documentation
 libc-udeb  - GNU C Library: Shared libraries and Timezone data - udeb (udeb)
 libc6      - GNU C Library: Shared libraries and Timezone data
 libc6-dbg  - GNU C Library: Libraries with debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files.
 libc6-pic  - GNU C Library: PIC archive library
 libc6-prof - GNU C Library: Profiling Libraries.
 locales    - GNU C Library: National Language (locale) data [support]
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 69041 94058 99763 119197 137020 151631 155751 159723 168189 171017 176661 181661 183155 183449 183477 183652 184091 184129 184257 184589
Changes: 
 glibc (2.3.1-15) unstable; urgency=low
 .
   * GOTO Masanori <gotom@debian.or.jp>
     - debian/packages.d/optimized.mk: drop configure --disable-static
       option, because it does not work.  enable-kernel version bumps
       up to 2.4.1.
 .
     - debian/manpages/nscd.8: Apply slightly improvement for the nscd(8),
       nscd_nischeck(8), and nscd.conf(5) man pages.  Patched by
       Sebastian Rittau <srittau@jroger.in-berlin.de> (Closes: #94058)
     - debian/manpages/nscd.conf.5: likewise.
     - debian/manpages/nscd_nischeck.8: likewise.
     - debian/manpages/zdump.1: add the description that zonename should be
       relative path name from /usr/share/zoneinfo.  (Closes: #171017)
     - debian/manpages/locale.1: add the description for LOCPATH.
       (Closes: #176661)
 .
     - debian/locales/DEBIAN/templates: Add a description "what is the
       locale?". (Closes: #119197)
     - debian/FAQ: Add description how to setup your own locale with
       debconf + locales.  (Closes: #99763)
 .
     - debian/locales/DEBIAN/templates: Introducing new templates format
       with po-debconf.  Thanks to Denis Barbier <barbier@linuxfr.org>.
     - debian/packages.d/locales.mk: likewise.
     - debian/po/*: likewise.
     - debian/control.in/main: Build-Depends-Indep: po-debconf.
     - debian/po/ja.po: Update translation data.
     - debian/po/fr.po: Update translation data.  Translated by
       Denis Barbier <barbier@debian.org>.  (Closes: #183652).
 .
     - debian/sysdeps/depflags.pl: Remove conflicts: file-rc (<< 0.7.0)
     - debian/libc/DEBIAN/postinst: Use /usr/sbin/update-rc.d in updatercd(),
       suggested by Anthony Towns <aj@azure.humbug.org.au>.
     - debian/libc/DEBIAN/postinst: Check /usr/{lib,share}/file-rc/
       because file-rc >= 0.7.0 does not use /usr/lib/file-rc.
 .
     - debian/patches/glibc23-hppa-compat.dpatch: add hppa libgcc-compat
       symbols patch, patched by Randolph Chung <tausq@debian.org>.
     - debian/patches/libgcc-compat-all.dpatch: update for mips and add
       for alpha, patched by Guido Guenther <agx@debian.org>.
     - debian/patches/libgcc-compat-other.dpatch: add for arm, m68k, ia64
       and s390.  Patched by GOTO Masanori <gotom@debian.org>.
 .
     - debian/locales/usr/sbin/locale-gen: add "set -e" in order to return
       value.  (Closes: #183449)
 .
     - debian/packages.d/libc-udeb.mk: contain libpthread.so to support
       installer using pthread.  (Closes: #183155)
 .
     - debian/sysdeps/depflags.pl: remove php4 conflicts from libc6.
       (Closes: #183477, #184091)
 .
     - debian/libc/DEBIAN/postinst: add proftpd-{ldap,mysql,pgsql} to
       restart during upgrade from 2.2 to 2.3.  (Closes: #184129)
     - debian/libc/DEBIAN/postinst: add cupsys.  (Closes: #184257)
 .
     - debian/patches/glibc23-m68k-madv.dpatch: add to fix build error
       for some MADV_* used software on m68k, pulled from the latest cvs.
       (Closes: #159723, #181661, #184589)
 .
     - debian/patches/glibc23-00-hppa-pthreads.dpatch: add to improve
       linuxthreads on hppa.  Pathced by Carlos O'Donell
       <carlos@baldric.uwo.ca>.  His summary: LinuxThreads is now using a
       self-aligning lock.
     - debian/patches/glibc23-hppa-malloc8.dpatch: add to improve malloc
       on hppa.  Patched by Carlos O'Donell <carlos@baldric.uwo.ca>.
       His summary: Malloc alignment has been moved back to 8 for optimal
       performance.
 .
     - These debian/patches/<below files> are removed from cvs because
       they are no longer being used and were superceeded by CVS patches:
       - glibc23-02-hppa-min-kern-unwind-fde.dpatch
       - glibc23-03-hppa-mcontext.dpatch
       - glibc23-04-hppa-fcntl64.dpatch
       - glibc23-05-hppa-buildhack.dpatch
       - glibc23-06-hppa-tests.dpatch
       - glibc23-08-hppa-configure.dpatch
 .
     - Glibc 2.3 uses another regex engine: "sed: woody version more than
       1000 times slower than potato version" should be fixed.
       (Closes: #155751)
     - en_CA can generate without warnings.  In addition, we use debconf
       interface in these days, this kind of "manual edit /etc/locale.gen"
       bug should be avoided.  (Closes: #151631)
     - libc6.postinst restarts samba in these days.  (Closes: #168189)
     - _FPU_SETCW/_FPU_GETCW macro works fine on powerpc in these days.
       "Incorrect macro _FPU_SETCW in <fpu_control.h>" should be fixed.
       (Closes: #137020)
     - hyper and unsigned hyper are supported in the current glibc.
       "rpcgen(1) doesn't handle 64 bit types" should be fixed.
       (Closes: #69041)
Files: 
 bfc51398d750244d73425f3fa00f22d6 1573 libs required glibc_2.3.1-15.dsc
 5eea3707c1a2aeebe25353e53d74c17d 1684032 libs required glibc_2.3.1-15.diff.gz
 6a43f05bed9e3a6b660b897975ce63aa 3194940 base required libc6_2.3.1-15_i386.deb
 6323bb38123c4ed3cebc1efa9ede41cd 815658 debian-installer required libc-udeb_2.3.1-15_i386.udeb
 731291fc67d4e1e54cd033684df627f2 2417754 devel standard libc6-dev_2.3.1-15_i386.deb
 ddd769048b206e523c07472517cfe3ae 892658 devel extra libc6-prof_2.3.1-15_i386.deb
 c66838a24a40d8114f899dd346263805 4999378 devel extra libc6-dbg_2.3.1-15_i386.deb
 c94e2e6c24ac66f49178d33b3fe90645 844548 devel optional libc6-pic_2.3.1-15_i386.deb
 b606431377fdc7f55c874b75fe5a2e2f 67396 admin optional nscd_2.3.1-15_i386.deb
 029af62859579af305e2cc82199a75fd 3745984 base standard locales_2.3.1-15_all.deb
 6afcc23019d7686176e8f3603a7cf5b8 3008778 doc optional glibc-doc_2.3.1-15_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+c+Vd9dAn0Xqx8P4RAo99AJ9fCZnk9eIJ3c3oB9IVPZ8BoWpjxgCfegzB
L9wZLKgkuLHhlze7WA7AWko=
=1Du2
-----END PGP SIGNATURE-----



Reply to: